GraphDatabaseSettings.CypherParserSetting (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.factory
Class GraphDatabaseSettings.CypherParserSetting

    java.lang.Object
      org.neo4j.graphdb.factory.GraphDatabaseSetting<ST>
          org.neo4j.graphdb.factory.GraphDatabaseSetting.BaseOptionsSetting<String>
              org.neo4j.graphdb.factory.GraphDatabaseSetting.OptionsSetting
                  org.neo4j.graphdb.factory.GraphDatabaseSettings.CypherParserSetting

All Implemented Interfaces:
  Setting

Enclosing class:
  GraphDatabaseSettings

Deprecated.

    @Deprecated
    public static class GraphDatabaseSettings.CypherParserSetting

extends GraphDatabaseSetting.OptionsSetting

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`GraphDatabaseSetting.AbstractPathSetting, GraphDatabaseSetting.BaseOptionsSetting<ST>, GraphDatabaseSetting.BooleanSetting, GraphDatabaseSetting.DefaultValue, GraphDatabaseSetting.DirectorySetting, GraphDatabaseSetting.DoubleSetting, GraphDatabaseSetting.EnumerableSetting<ET extends Enum<ET>>, GraphDatabaseSetting.FileSetting, GraphDatabaseSetting.FloatSetting, GraphDatabaseSetting.IntegerRangeNumberOfBytesSetting, GraphDatabaseSetting.IntegerSetting, GraphDatabaseSetting.ListSetting<T>, GraphDatabaseSetting.LongSetting, GraphDatabaseSetting.NumberOfBytesSetting, GraphDatabaseSetting.NumberSetting<T extends Number>, GraphDatabaseSetting.OptionsSetting, GraphDatabaseSetting.PortSetting, GraphDatabaseSetting.StringSetting, GraphDatabaseSetting.TimeSpanSetting, GraphDatabaseSetting.URISetting`

Field Summary
`static String` | `v1_5` Deprecated.
`static String` | `v1_6` Deprecated.
`static String` | `v1_7` Deprecated.

Fields inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`ANY, DURATION, FALSE, SIZE, TRUE`

Constructor Summary
`GraphDatabaseSettings.CypherParserSetting()` Deprecated.

Method Summary

Methods inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting.OptionsSetting
`valueOf`

Methods inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting.BaseOptionsSetting
`options, validate`

Methods inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`getMessage, illegalValue, illegalValue, illegalValue, name, osIsMacOS, osIsWindows, validate, validationMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v1_5

    public static final String v1_5

  Deprecated.
  See Also:
    Constant Field Values

### v1_6

    public static final String v1_6

  Deprecated.
  See Also:
    Constant Field Values

### v1_7

    public static final String v1_7

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### GraphDatabaseSettings.CypherParserSetting

    public GraphDatabaseSettings.CypherParserSetting()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.